> For the complete documentation index, see [llms.txt](https://docs.ceruleansonar.com/c/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ceruleansonar.com/c/omniscan3d/technical-details/api.md).

# API

Omniscan 3D communication uses a packet protocol common to several Cerulean Sonar products. Please refer to the [Cerulean Ping Protocol](https://docs.ceruleansonar.com/c/v/cerulean-ping-protocol) document for the canonical packet format and other background information.

### **Packet Payload Definitions** <a href="#packet-payload-definitions" id="packet-payload-definitions"></a>

This section defines the packet ID types specific to Omniscan 3D.

| Packet Name                                                                                     | Packet ID                                                            |
| ----------------------------------------------------------------------------------------------- | -------------------------------------------------------------------- |
| [OS3D\_SET\_PING\_PARAMETERS](/c/omniscan3d/technical-details/api/os3d_set_ping_parameters.md)​ | 3024                                                                 |
| ​[ATTITUDE\_REPORT](/c/omniscan3d/technical-details/api/attitude_report.md)​                    | 504                                                                  |
| ​[OS3D\_POINT\_SET](/c/omniscan3d/technical-details/api/os3d_point_set.md)​                     | 3104                                                                 |
| ​[END\_PING\_INFO](/c/omniscan3d/technical-details/api/end_ping_info.md)​                       | 3010                                                                 |
| ​[SET\_NTP\_INFO](/c/omniscan3d/technical-details/api/set_ntp_info.md)​                         | Removed. NTP Server will be specified in the os3d\_config.json file. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ceruleansonar.com/c/omniscan3d/technical-details/api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
